@import "../../../global";

.gameHeader {
  -webkit-box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.25);
  -moz-box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.25);
  box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.25);
  border-bottom: 0.4rem solid $primary-alt;
  background: $bg-alt;
  position: sticky;
  z-index: 5;
  top:0;
  .gName {
    font-weight: 600;
  }
  ul.nav-main a {
    display: block;
    padding-left: 2em;
    padding-right: 2em;
    background: $primary;
    font-size: 1.5em;
    color: white;
    clip-path: polygon(0 0, 80% 0, 100% 100%, 20% 100%);
    -webkit-box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.25);
    -moz-box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.25);
    box-shadow: 0px 10px 10px 0px rgba(0, 0, 255, 1);
    &:hover {
      cursor: pointer;
    }
  }
  img {
    max-width: 6em;
    padding: 0.5em;
  }
  img.play-logo {
    padding: 0;
  }
  .excel-play-logo {
    background: $primary-alt;
    padding: 0 0.7em 0 0.7em;
    img {
      margin-top: 1rem;
    }
  }
  h1 {
    color: $primary;
    padding: 0.3em 0.2em 0 0.2em;
  }
  .sideMenu {
    position: absolute;
    visibility: hidden;
    z-index: +2;
    width: 100%;
    height: 100%;
    transition: visibility 0.2s ease-out;
  }
  .menu-icon {
    visibility: hidden;
    color: $primary;
    position: absolute;
    z-index: +2;
    top: 30px;
    right: 10px;
    font-size: 2em;
    text-align: right;
    transform: translateY(-50%);
    i {
      cursor: pointer;
      border: 1px solid $primary;
      padding: 4px 6px;
      border-radius: 4px;
    }
  }
  @media screen and (max-width: $media-width) {
    border-bottom: 0.4em solid $primary-alt;
    ul.nav-main a {
      padding-left: 2em;
      padding-right: 2em;
      background: $primary;
      font-size: 1.5em;
      color: white;
      clip-path: polygon(0 0, 80% 0, 100% 100%, 20% 100%);
    }
    img {
      max-width: 4em;
      max-height: 3em;
    }
    img.play-logo {
      padding: 0;
    }
    .excel-play-logo {
      background: $primary-alt;
      padding: 0 0.7em 0 0.7em;
      z-index: 0;
    }
    .game-logo {
      margin: 0.5em 0.5em 0 0.3em;
    }
    h1 {
      color: $primary;
      padding: 0.7em 0.2em 0.3em 0.2em;
      font-size: 1.5em;
    }

    .sideMenu {
      visibility: visible;
      //transition: visibility .5s ease-out;
    }

    .menu-icon {
      visibility: visible;
    }
  }
}
